/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: ObservationScenarioTestSupport.java,v 96d104ae1b3a 2010/08/07 08:58:08 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.test.functional;

import it.tidalwave.bluebill.mobile.android.ScenarioTestSupport;
import it.tidalwave.bluebill.mobile.android.observation.ObservationActivityTestHelper;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public abstract class ObservationScenarioTestSupport extends ScenarioTestSupport
  {
    protected ObservationActivityTestHelper observationActivity;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Override
    public void setUp()
      throws Exception
      {
        super.setUp();
        observationActivity = new ObservationActivityTestHelper(this, solo);
      }
  }
